org.openmuc.openiec61850.clientgui

## Interface DataTreeNode

All Known Implementing Classes:
  DataObjectTreeNode, DataSetTreeNode

    public interface DataTreeNode

### Method Summary

All Methods Instance Methods Abstract Methods
`javax.swing.tree.TreeNode` `getChildAt(int index)`
`int` `getChildCount()`
`BasicDataBind<?>` `getData()`
`boolean` `readable()`
`void` `reset(ClientAssociation association)`
`boolean` `writable()`
`void` `writeValues(ClientAssociation association)`

### Method Detail

#### getData

    BasicDataBind<?> getData()

#### reset

    void reset(ClientAssociation association)
        throws ServiceError,
               java.io.IOException

Throws:
  `ServiceError`
  `java.io.IOException`

#### writeValues

    void writeValues(ClientAssociation association)
              throws ServiceError,
                     java.io.IOException

Throws:
  `ServiceError`
  `java.io.IOException`

#### getChildCount

    int getChildCount()

#### getChildAt

    javax.swing.tree.TreeNode getChildAt(int index)

#### writable

    boolean writable()

#### readable

    boolean readable()